Skip to main content
GET
This endpoint allows you to export a list of calls to either a CSV or JSON file. It supports a subset of the filtering options available on the List Calls endpoint. The response from this endpoint will be a file download.

Query Parameters

  • format (string, optional, default: csv): The desired file format. Can be csv or json.
  • status (string, optional): Filter calls by their status.
  • assistant_id (integer, optional): Filter calls by a specific assistant.
  • customer_phone (string, optional): Filter by customer phone number.
  • call_sid (string, optional): Filter by Burki call SID / provider call identifier.
  • assistant_name (string, optional): Filter by assistant name.
  • date_from (string, optional): Filter calls from this date (ISO 8601 format).
  • date_to (string, optional): Filter calls to this date (ISO 8601 format).
Export filters are combined with AND semantics.

Response

The response is not a JSON object in the traditional sense, but a file that your browser will prompt you to download. If format=csv: You will receive a text/csv file named calls_export.csv.
CSV Content
If format=json: You will receive an application/json file named calls_export.json containing an array of call objects.
JSON Content

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

format
string
default:csv

Export format: csv or json

Pattern: ^(csv|json)$
status
string | null

Filter by call status

assistant_id
integer | null

Filter by assistant ID

customer_phone
string | null

Filter by customer phone number (substring)

call_sid
string | null

Filter by call SID (substring)

assistant_name
string | null

Filter by assistant name (substring)

date_from
string<date-time> | null

Filter calls from this date

date_to
string<date-time> | null

Filter calls to this date

Response

Successful Response